Create a test helper to test a reducer on fixtures
Description
The idea was implemented in the BreadcrumbBar component:

https://github.com/theforeman/foreman/blob/develop/webpack/assets/javascripts/react_app/components/BreadcrumbBar/__tests

/B

readcrumbBarReducer.test.js#L.50-L53

Since this is going to be used in other tests, it is a good idea to move it into the test helpers:
https://github.com/theforeman/foreman/blob/develop/webpack/assets/javascripts/react_app/common/testHelpers.js

Associated revisions

Revision c28d51eb - 05/22/2018 09:49 AM - Boaz Shuster
Fixes #23468 - Add a test helper to test reducers with fixtures

The idea of testing a reducer using fixtures was introduced
in the BreadcrumBar tests.

Since, other components are going to be tested using this method,
it is moved to testHelpers.js to avoid duplication of code.

Signed-off-by: Boaz Shuster <boaz.shuster.github@gmail.com>

History

#1 - 05/01/2018 11:08 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/5516 added

#2 - 05/22/2018 09:49 AM - Ohad Levy

- translation missing: en.field_release set to 353

#3 - 05/22/2018 10:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset c28d51eb132cc079dd7a5ad7fbef63aba3ccaab.

#4 - 06/20/2018 10:23 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/5720 added

#5 - 06/21/2018 09:13 AM - Ohad Levy

- translation missing: en.field_release changed from 353 to 330
